Necessitates Proper Modularity

    eleventy-plugin-logical-content-flow

    1.0.1 • Public • Published

    eleventy-plugin-logical-content-flow

    An Eleventy linter plugin to check for issues with the Logical Content Flow of the heading elements on your site.

    Like this project? Help support my projects and buy me a coffee via ko-fi.

    Sample screenshot of eleventy-plugin-logical-content-flow in action

    Installation

    Available on npm.

    npm install eleventy-plugin-logical-content-flow --save-dev
    

    Open up your Eleventy config file .eleventy.js and use addPlugin:

    const logicalContentFlow = require("eleventy-plugin-logical-content-flow");
    
    module.exports = function(eleventyConfig) {
      eleventyConfig.addPlugin(logicalContentFlow);
    };

    Known Issues

    This plugin JSDOM to parse the output HTML. As the library doesn't render the page the checks for hidden headings and font size from the Logical Content Flow Tool have not been included with this plugin.

    Install

    npm i eleventy-plugin-logical-content-flow

    DownloadsWeekly Downloads

    3

    Version

    1.0.1

    License

    ISC

    Unpacked Size

    38.4 kB

    Total Files

    6

    Last publish

    Collaborators

    • workeffortwaste